- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::MaterialScriptProgramDefinition Struct Reference

Struct for holding a program definition which is in progress. More...

`#include <OgreMaterialSerializer.h>`

List of all members.

## Public Attributes
String | name
GpuProgramType | progType
String | language
String | source
String | syntax
bool | supportsSkeletalAnimation
bool | supportsMorphAnimation
ushort | supportsPoseAnimation
bool | usesVertexTextureFetch
std::vector < std::pair< String, String > > | customParameters

## Detailed Description

Struct for holding a program definition which is in progress.

Definition at line 55 of file OgreMaterialSerializer.h.

## Member Data Documentation

String Ogre::MaterialScriptProgramDefinition::name

Definition at line 57 of file OgreMaterialSerializer.h.

GpuProgramType Ogre::MaterialScriptProgramDefinition::progType

Definition at line 58 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::language

Definition at line 59 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::source

Definition at line 60 of file OgreMaterialSerializer.h.

String Ogre::MaterialScriptProgramDefinition::syntax

Definition at line 61 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation

Definition at line 62 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation

Definition at line 63 of file OgreMaterialSerializer.h.

ushort Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation

Definition at line 64 of file OgreMaterialSerializer.h.

bool Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch

Definition at line 65 of file OgreMaterialSerializer.h.

std::vector<std::pair<String, String> > Ogre::MaterialScriptProgramDefinition::customParameters

Definition at line 66 of file OgreMaterialSerializer.h.

The documentation for this struct was generated from the following file:

- OgreMaterialSerializer.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:28 2008